package com.tuoheng.admin.enums.code.role;

/**
 * @Author ChengWang
 * @Date 2022/12/23
 */
public enum RoleDeleteEnum {

    QUERY_IS_FAILED(1210600, "获取数据失败"),
    ROLE_ID_IS_NULL(1210601, "角色id为空");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    RoleDeleteEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
